# Uses of Interface
org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseConfigurer

Packages that use EmbeddedDatabaseConfigurer
Package
Description
org.springframework.jdbc.datasource.embedded
Provides extensible support for creating embedded database instances.

## Uses of EmbeddedDatabaseConfigurer in org.springframework.jdbc.datasource.embedded

Classes in org.springframework.jdbc.datasource.embedded that implement EmbeddedDatabaseConfigurer
Modifier and Type
Class
Description
`class`
`EmbeddedDatabaseConfigurerDelegate`
An `EmbeddedDatabaseConfigurer` delegate that can be used to customize the embedded database.
Methods in org.springframework.jdbc.datasource.embedded that return EmbeddedDatabaseConfigurer
Modifier and Type
Method
Description
`static EmbeddedDatabaseConfigurer`
EmbeddedDatabaseConfigurers.`customizeConfigurer(EmbeddedDatabaseType type, UnaryOperator<EmbeddedDatabaseConfigurer> customizer)`
Customize the default configurer for the given embedded database type.
`static EmbeddedDatabaseConfigurer`
EmbeddedDatabaseConfigurers.`getConfigurer(EmbeddedDatabaseType type)`
Return a configurer instance for the given embedded database type.
Methods in org.springframework.jdbc.datasource.embedded with parameters of type EmbeddedDatabaseConfigurer
Modifier and Type
Method
Description
`EmbeddedDatabaseBuilder`
EmbeddedDatabaseBuilder.`setDatabaseConfigurer(EmbeddedDatabaseConfigurer configurer)`
Set the configurer to use to configure the embedded database, as an alternative to `EmbeddedDatabaseBuilder.setType(org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseType)`.
`void`
EmbeddedDatabaseFactory.`setDatabaseConfigurer(EmbeddedDatabaseConfigurer configurer)`
Set the strategy that will be used to configure the embedded database instance.
Method parameters in org.springframework.jdbc.datasource.embedded with type arguments of type EmbeddedDatabaseConfigurer
Modifier and Type
Method
Description
`static EmbeddedDatabaseConfigurer`
EmbeddedDatabaseConfigurers.`customizeConfigurer(EmbeddedDatabaseType type, UnaryOperator<EmbeddedDatabaseConfigurer> customizer)`
Customize the default configurer for the given embedded database type.
Constructors in org.springframework.jdbc.datasource.embedded with parameters of type EmbeddedDatabaseConfigurer
Modifier
Constructor
Description
``
`EmbeddedDatabaseConfigurerDelegate(EmbeddedDatabaseConfigurer target)`